Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex
Class BaseX

    java.lang.Object
      org.basex.BaseXClient
          org.basex.BaseX

    public final class BaseX

extends BaseXClient

This is the starter class for the stand-alone console mode. It overwrites the `BaseXClient` to allow local database operations. Next, it offers some utility methods which are used throughout the project.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`BaseX()`

Method Summary
`static java.lang.String` | `bug(java.lang.Object... ext)` Throws a runtime exception for unexpected exceptions.
`static boolean` | `debug(java.lang.Exception ex)` Global method for printing the exception stack trace if the `Prop.debug` flag is set.
`static void` | `debug(java.lang.Object str, java.lang.Object... ext)` Global method for printing debug information if the `Prop.debug` flag is set.
`static void` | `err(java.lang.String string, java.lang.Object... ext)` Global method for printing information to the standard output.
`static void` | `errln(java.lang.Object obj, java.lang.Object... ext)` Global method for printing information to the standard output.
`static java.lang.String` | `flag(boolean flag)` Returns an info message for the specified flag.
`static byte[]` | `inf(java.lang.Object str, java.lang.Object... ext)` Global method, replacing all % characters (see `TokenBuilder.add(Object, Object...)` for details.
`static java.lang.String` | `info(java.lang.Object str, java.lang.Object... ext)` Global method, replacing all % characters (see `TokenBuilder.add(Object, Object...)` for details.
`void` | `init(java.lang.String[] args)` Initializes the console mode and parses the command-line arguments.
`static void` | `main(java.lang.String[] args)` Main method, launching the stand-alone console mode.
`static java.lang.Object` | `notexpected(java.lang.Object... ext)` Throws a runtime exception for unexpected exceptions.
`static java.lang.Object` | `notimplemented(java.lang.Object... ext)` Throws a runtime exception for unimplemented methods.
`static void` | `out(java.lang.Object str, java.lang.Object... ext)` Global method for printing information to the standard output.
`static void` | `outln()` Global method for printing a newline.
`static void` | `outln(java.lang.Object str, java.lang.Object... ext)` Global method for printing information to the standard output.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseX

    public BaseX()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main method, launching the stand-alone console mode. Use `-h` to get a list of all available command-line arguments.

  Parameters:
    `args` - command-line arguments

### init

    public void init(java.lang.String[] args)

  Description copied from class: `BaseXClient`
  Initializes the console mode and parses the command-line arguments. interacting with the server instance.

  Parameters:
    `args` - command line arguments

### inf

    public static byte[] inf(java.lang.Object str,
                             java.lang.Object... ext)

  Global method, replacing all % characters (see `TokenBuilder.add(Object, Object...)` for details.

  Parameters:
    `str` - string to be extended
    `ext` - text text extensions
  Returns:
    token

### info

    public static java.lang.String info(java.lang.Object str,
                                        java.lang.Object... ext)

  Global method, replacing all % characters (see `TokenBuilder.add(Object, Object...)` for details.

  Parameters:
    `str` - string to be extended
    `ext` - text text extensions
  Returns:
    extended string

### debug

    public static void debug(java.lang.Object str,
                             java.lang.Object... ext)

  Global method for printing debug information if the `Prop.debug` flag is set.

  Parameters:
    `str` - debug string
    `ext` - text optional extensions

### debug

    public static boolean debug(java.lang.Exception ex)

  Global method for printing the exception stack trace if the `Prop.debug` flag is set.

  Parameters:
    `ex` - exception
  Returns:
    always false

### err

    public static void err(java.lang.String string,
                           java.lang.Object... ext)

  Global method for printing information to the standard output.

  Parameters:
    `string` - debug string
    `ext` - text optional extensions

### errln

    public static void errln(java.lang.Object obj,
                             java.lang.Object... ext)

  Global method for printing information to the standard output.

  Parameters:
    `obj` - error string
    `ext` - text optional extensions

### out

    public static void out(java.lang.Object str,
                           java.lang.Object... ext)

  Global method for printing information to the standard output.

  Parameters:
    `str` - output string
    `ext` - text optional extensions

### outln

    public static void outln(java.lang.Object str,
                             java.lang.Object... ext)

  Global method for printing information to the standard output.

  Parameters:
    `str` - output string
    `ext` - text optional extensions

### outln

    public static void outln()

  Global method for printing a newline.

### flag

    public static java.lang.String flag(boolean flag)

  Returns an info message for the specified flag.

  Parameters:
    `flag` - current flag status
  Returns:
    ON/OFF message

### notimplemented

    public static java.lang.Object notimplemented(java.lang.Object... ext)

  Throws a runtime exception for unimplemented methods.

  Parameters:
    `ext` - optional extension
  Returns:
    dummy object

### notexpected

    public static java.lang.Object notexpected(java.lang.Object... ext)

  Throws a runtime exception for unexpected exceptions.

  Parameters:
    `ext` - optional extension
  Returns:
    dummy object

### bug

    public static java.lang.String bug(java.lang.Object... ext)

  Throws a runtime exception for unexpected exceptions.

  Parameters:
    `ext` - optional extension
  Returns:
    dummy object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD